
Forestry for Minecraft
CHANGELOG

1.4.6.2c:
- Hotfixed: Pipettes used on an empty tank will now discharge their contents instead of trying to grab liquid from the empty tank.

1.4.6.2b:
- Hotfixed: Pipettes don't stack anymore.

1.4.6.2a:
- Hotfixed: Crash when using pipettes on the raintank's tankslot.
- Hotfixed: Typo in bee tooltips.

1.4.6.2:
- Added: Fixed error display on fermenter.
- Added: More hints.
- Added: Czech translation courtesy Raccoon5.
- Added: Polish translation courtesy konwboj.
- Added: Cooked pork, chicken, steak, magma cream, eye of ender, fermented spider eye, fish and cooked fish to hunter's backpack.
- Added: Netherwart, pumpkin and melon seeds to forester's backpack.
- Added: Meta information for FML client side.
- Added: Marshy bees as a substitute for meadows bees in swamp biomes, since swamps are classified as damp biomes in vanilla Minecraft.
- Added: Some colour to tooltips of identified bees to make skimming over their properties easier.
- Changed: Pipette not only clears tank slots, but will suck up the contents and can be used to transfer those into other tanks.
- Changed: Machines are now throttled when attached to conductive pipes and cannot be sped up infinitely anymore.
- Changed: Apiarist chest will display the secondary species as "unknown" if the bee has not been analyzed yet. It will condense pure breeds to only display the primary allele.
- Changed: "No recipe" error on bottler, fermenter and centrifuge is now more responsive and does not require the machine to be powered to reset.
- Bugfix: Fixed slow lava leak on biogas engines running on "safe" fuels.
- Bugfix: Apiarist's Backpack now available on SMP.
- Bugfix: Bottler tank now reacts to the pipette.
- Bugfix: Bee statistics are now synched on SMP.
- Bugfix: Still will not trigger hasWork if the ouput tank is full.
- Bugfix: Carpenter will now correctly reset its no recipe error.
- Bugfix: Fixed dupe bugs in beealyzer and habitat locator.
- Bugfix: Forest hives only spawn in biomes with normal humidity.

1.4.6.1:
- Added: Spanish translations courtesy of francogp.
- Added: Finish translation courtesy of TheVarmari
- Removed: Obsolete industrial diamond recipes.
- Bugfix: "gui.longlife" and page header in apiarist inventories now localized.
- Bugfix: Peat bog isn't stuck on "No resources"-error anymore.
- Bugfix: Fixed error displays in SMP.
- Bugfix: Fixed engine rotation being displayed incorrectly on SMP client.
- Bugfix: Non-fatal but annoying NPEs in SMP fixed.
- Bugfix: Biogas engines warm up to yellow stage again.
- Bugfix: Moistener does not accept energy anymore.
- Bugfix: Fermenter will not continously consume the energy stored even if it doesn't have any work.

1.4.6.0:
- Changed: Last opened ledger type stays opened even when switching gui.
- Changed: Added icon for genome imprinter.
- Bugfix: Gui on apiarist's chest will be more reliable.

1.4.5.9:
- Changed: More API work for bees.
- Changed: Plugins are now also loaded from zips and jars in the mods/ directory.

1.4.5.8:
- Bugfix: Possibly resolved issue with chunk resets on machines from old saves.
- Bugfix: Adding bees via API now actually possible.
- Bugfix: Fermenter now consumes fermentation resources again.

1.4.5.7:
- Changed: New gui on biogas engine.
- Changed: Reduced fuel value of milk in biogas engines to 1 MJ/t. (Save the cows!)
- Bugfix: Biogas engines do not constantly lose heat, fuels work as intended again.
- Bugfix: Fixed crashbugs with beealyzer and habitat locator.

1.4.5.6:
- Added: Access control to machines. Owners can now set their machines to "shared", "restricted" or "private". Machines in private mode will not display their guis to non-owners and cease interaction with pipes and tubes. Machines in restricted mode can only be broken by their owner.
- Added: Still more hints.

1.4.5.5:
- Added: More hints.
- Changed: Modified the way disabled peat-fired engines work. Will continue to burn peat already in the system as before but will not generate energy from that process anymore.
- Changed: Peat-fired and electrical engines now overheat if they cannot pass on all produced energy. If they reach melting point, the are forced into a cooldown. (Explosions still bee-exclusive feature.) Melting point of electrical engines is at 300°C, of peat-fired engines at 1000°C.
- Changed: Apiarist's Chest can now be crafted from any kind of honey combs.
- Changed: Electrical engines will stop burning EU when no redstone signal is applied.
- Removed: ExtraBiomesXL plugin since it has become unneeded. Bees read the climate from vanilla functions now.

1.4.5.4:
- Changed: Electrical engines now generate and lose heat.
- Bugfix: Fixed inventory handling on electrical engines.
- Bugfix: Fixed several localization issues.
- Bugfix: Fixed recipe detection on fermenter.

1.4.5.3:
- Added: Crafting recipe for pipettes.
- Added: Gui to electrical engine, battery handling. (Untested, is missing charge indicator.)
- Changed: Error ledger won't be displayed if the status of the machine or engine is ok.
- Bugfix: Analyzer should now handle cans and capsules correctly.
- Bugfix: Fixed and added several localizations. Added ru_RU language file courtesy of mistaqur.
- Bugfix: Fixed some SMP crashes.
- Bugfix: Fixed error codes not synching on SMP.
- Bugfix: Taiga correctly identified as cold instead of icy again.
- Bugfix: Peat-fired engines will not drop below 0°C anymore.

1.4.5.2:
- Added: Localization support. en_US and de_DE (incomplete) language files.
- Added: Hint ledger. Can be disabled in config.
- Added: Tooltips to liquid tank slots.
- Added: Pipette to empty tanks with less than a bucket of liquid in them.
- Added: SMP synchronization for energy info ledger.
- Bugfix: Added missing icons.
- Bugfix: Still now also consumes the last bucket of biofuel instead of buffering it endlessly.

1.4.5.1:
- Added: Error displays on analyzer, planters, engines, power generator.
- Added: Climate info ledger to apiary.
- Added: Energy info ledger to engines.
- Changed: Only a single ledger on a machine's gui can be open at any time.
- Bugfix: Fixed extreme hills biome being classified as icy.
- Bugfix: Fixed several error displays.
- Bugfix: Fixed issue that caused BC gears to be ignored in crafting recipes.
- Bugfix: Removed texture glitches on farm guis.
- Bugfix: Fixed an issue that caused EE's forestry addon to malfunction.

1.4.5.0:
- Added: Stationary beealyzer. Requires liquid honey for operation.
- Changed: Backpacks will not resupply anymore if any gui is open.
- Changed: Revamped error code display.
- Bugfix: Fixed hasWork trigger on still.
- Bugfix: Fixed hasWork trigger on fermenter.
- Bugfix: Crafting recipes for infuser and habitat locator now ore dictionary aware.

1.4.4.5:
(FTB Edition)

1.4.4.4:
- Changed: Boosted number of drones.
- Bugfix: Fixed an issue that caused startup crashes if item id in manual backpack config was larger than 4096.
- Bugfix: Fixed an issue that caused bees not to recognize biomes overriden by map editors.
- Bugfix: Fixed trees in arboretums not growing above y=127.
- Bugfix: Removed debug outputs from apiarist's pipe.
- Bugfix: Fixed dupe bug in apiarist's chest.
- Bugfix: Fixed yet another dupe bug related to backpacks. Backpacks will now force close their gui if you click their item.
- Bugfix: Named the achievements that mistakenly made it into 1.4.4.2 and added an achievement page for them.
- Bugfix: Adapted incorrect BuildCraft refinery recipe to new values.

1.4.4.3:
(FTB Edition)

1.4.4.2:
- Bugfix: Fixed a serious crashbug with the hasWork trigger on the carpenter.

1.4.4.1:
- Disabled: Restrictions when run through the technic launcher.
- Added: Genome imprinter to create bees with specific genome. Intended as an admin utility for SMP. Disabled by default. See config for option.
- Added: Load order priorities server side for soft dependencies on BuildCraft and IC2. Requires at least Forge 3.0.1.84, otherwise your server will crash if one of those is missing. 
- Changed: Biofuel Bottler now simply called Bottler.
- Changed: Hive world generation now tied to biome temperature to increase compatibility with biomes added by other mods.
- Changed: Updated ExtraBiomesXL plugin.
- Bugfix: Fixed fat legs on apiarist's armour.
- Bugfix: Fixed a possible crashbug server side when the habitat locator is unable to find a matching biome.
- Bugfix: Fixed invisible trees on SMP.
- Bugfix: Mushroom farm opens proper gui now.
- Bugfix: Apiarist's Pipe now correctly displays discovered bees and filters correctly again. 

1.4.4.0:
- Upgraded: Minecraft 1.2.5 and Forge 3.0.0.
- Removed: Old honey combs from pre 1.3.4. Make sure you don't have any left.
- Added: Jungle saplings as fermenter resource.
- Added: Active apiaries are now indicated by swarming bees. (Thanks to Pahimar of EE and Azanor of Thaumcraft!) 
- Added: Ability of rainmaker to use dissipation charges.
- Added: Experimental plugin for ExtraBiomesXL.
- Added: Bottler recipe to create water bottles for vanilla minecraft potions.
- Added: Season short mead with pollen to get curative mead using an infuser.
- Added: Ferns, vines and apples to Forester's backpack.
- Added: Builder's backpack for all types of building materials like bricks, planks, fences, torches.
- Added: Ability to lock backpacks by holding shift and right-clicking (without targeting a chest or other tile).
- Added: Receive mode to backpacks. Holding shift and right-clicking will cycle through normal, locked, receiving and resupply modes. While in receiving mode, hold shift and right-click on a chest to transfer matching items _into_ the backpack.
- Added: Resupply mode to backpacks. Backpacks in this mode will use their contents to stock up itemstacks in player inventory. 
- Changed: Short mead is now the result of a fermentation process. Use the fermenter to convert liquid honey into liquid short mead using honeydew as resource. Bottle liquid mead directly in the fermenter or in the bottler. 
- Changed: "Manure" is now "Compost" to better fit its origins.
- Changed: Wintry bees may now also spawn in frozen rivers, oceans and taiga. Forest bees may not spawn in taiga biomes anymore.
- Changed: Manually harvested mature bog earth now also drops a dirt block.
- Changed: Smooth stone is now handled by builder's backpack instead of digger's backpack.
- Changed: Fermenter mechanics to handle fermentation per work cycle instead of dumping the full output only at the end of a full fermentation cycle.
- Changed: Fermenter gained a dedicated input slot for cans, new gui. ISidedInventory implementation for tubes has changed!
- Changed: Still mechanics to handle distillation per work cycle instead of dumping the full output only at the end of a full distillation cycle.
- Changed: Still gained a dedicated input slot for cans, new gui. ISidedInventory implementation for tubes has changed!
- Changed: New gui for the centrifuge.
- Changed: Made misanthropic bees more vicious.
- Changed: Reduced poison duration on miasmic bees slightly.
- Changed: Reduced the amount of hunger restored by ambrosia and the duration of the regeneration effect slightly.
- Changed: Plugins now loaded dynamically. 
- Bugfix: Fixed a crashbug related to old bees.
- Bugfix: Fixed a dupe bug related to backpacks.
- Bugfix: Fixed an issue that caused T2 backpacks to not transfer items into chests on right-click, destroying stacks above the 15th.
- Bugfix: Carpenter's hasWork gate trigger will not trigger if the output stack in the carpenter cannot take the full output of the recipe anymore.
- Bugfix: Steadfast bees are now seeded with proper genome.
- Bugfix: Fixed an issue that would sometimes have a second mutation occur for an already mutated allele.
- Bugfix: Fixed an issue that had the apiarist's chest always display an empty inventory and was causing crashes.
- Bugfix: Implemented BOTH_2 tolerance for temperature.
- Bugfix: Fixed possible null pointer exceptions on biome hazard checks.

1.4.2.0:
- Upgraded: MC 1.2.4, Forge 2.0.
- Removed: ModLoaderMP dependency. All Forge all the time now. (Note that Forge currently still requires MLMP for a working SMP.)
- Added: Jungle logs, saplings, leaves and cacti to forester's backpack.
- Changed: "No tolerance" for temperature/humidity is now recessive. BOTH_1, UP_1, DOWN_1 now dominant.
- Changed: Tried to pretty up a few things in the beealyzer.
- Changed: Removed remaining non-common bees from creative inventory.
- Changed: Reduced drop rate for valiant bees slightly.
- Changed: Boosted austere production slightly.
- Bugfix: Fixed an issue that caused only half the possible outcomes in breeding to appear.
- Bugfix: Fixed a duplication bug related to backpacks in SSP and SMP.

1.4.0.4:
- Changed: Improved appearance and behaviour of habitat locator. Added SMP functionality.
- Changed: Some internal changes to balance a few bees.
- Changed: Reduced amount of bog earth yielded by recipe using a water bucket to make use of cans and capsules more desireable.
- Removed: All bees except common ones from creative inventory / NEI.
- Bugfix: Drones were incorrectly produced at below max fertility.
- Bugfix: Removed name tag for old tin ore to prevent it from overwriting that of IC2.
- Bugfix: Backpacks do not accept backpacks into their inventory anymore (SMP).

1.4.0.3:
- Upgraded: IC2 support for MC 1.2.3. Fixed IC2 cans produced by bottler.
- Added: Flavour texts for bee species. Also: more.
- Added: Habitat locator.
- Changed: Backpacks now refuse to accept non-matching items into slots on SSP instead of just dropping them on closing. (Thanks to RichardG for that solution.)
- Bugfix: Fixed a bug that caused one more drone than expected to be produced.
- Bugfix: Fixed several potential NPEs related to gate triggers.
- Bugfix: Beehives cannot be pushed with pistons anymore.
- Bugfix: Fixed dupe bug related to backpacks.
- Bugfix: Fixed hive generation. Really.
- Bugfix: Removed debug messages.

1.4.0.2:
- Added: Color coding for recessive/dominant traits to beealyzer.
- Added: Inc sacs are now picked up by hunter's backpacks.
- Changed: Beealyzer will only drop bees, not honeydrops or honeydew on gui closing.
- Changed: Removed a few items from creative directory to reduce confusion.
- Changed: Removed legacy warning on harvesters when using wooden pipes.
- Bugfix: Added a few missing mutations.

1.4.0.1:
- Added: Additional information on climate tolerance to tooltips of analyzed bees.
- Changed: Reduced amount of biofuel distilled from a single bucket of biomass. Reduced duration of biomass in a biogas engine. Increased output and duration of biofuel in a bio power generator.
- Bugfix: Fixed issues with adventurer's backpack.
- Bugfix: Fixed an issue that caused humidity climate checks to work incorrectly.
- Bugfix: Fixed apiarist's chest displaying the incorrect amount of total bee species (25 instead of 22).

1.4.0.0:
- Changed: Reduced harvesting area of sugar cane and cacti harvester, as well as turbary to a height of 6 (offset -2).
- Changed: Modest and tropical are now both recessive.
- Changed: Demonic bees now have a new effect trait when appearing through mutation. Sinister bees are now aggressive.
- Changed: Implemented freezing effect for wintry queens.
- Bugfix: Bee effects only occur when working condition for the bee is statisfied.
- Bugfix: Fixed damage/duration/probability values for effects when player is wearing a partial set of apiarist's clothes.
- Bugfix: Fixed flower allele not working with new types of bees.

1.3.5.21:
- Removed: Copper rivets and copper rivet set. Make sure you don't have any in your world.
- Changed: Hell is now considered an arid biome. Infernal branch prefers arid humidity. Austere branch completed. Deserts are almost hellish environments.
- Bugfix: Fixed an issue that was causing T2 backpacks to truncate to 15 slots.
- Bugfix: Adventurer's backpack can now be configured via config file.

1.3.5.20:
- Bugfix: Apiarist's clothes now work.

1.3.5.19:
- Changed: Redid Apiarist's Pipe. Note: Does take into account what species are discovered. Will only display species you have bred at least one queen of!

1.3.5.18:
- Bugfixes: Several smallish bugfixes.

1.3.5.17:
- Added: Last missing hive. Sorry about that, could not resist.
- Added: Empty container can now be filled with valid liquids by right-clicking on corresponding liquid blocks.
- Changed: Readded hardcore beebreeding mode. Increases life of queens, reduces amount of offspring and reduces chance at mutation.

1.3.5.16:
- Bugfix: Apiarist's Chest craftable again.

1.3.5.15:
- NOTE: Junk your rivets and rivet kits! They will be removed in the next version!
- Updated: Again for latest Forge and ModLoaderMp.
- Added: Wisps of silk can be gleaned by centrifugating silky propolis.
- Added: Recipes for apiarist's clothes. New icon sprites.
- Changed: Effects of apiarist's clothes are now tiered with the amount of set items worn. Full set negates negative effects. Partial sets reduce damage or duration of negative effects.
- Changed: Cultivated bees inhabit normal climate biomes again, don't produce frozen combs.
- Changed: All T2 Backpack recipes. Replaced rivets with woven silk. Woven silk is produced in the carpenter using 9 x wisps of silk.
- Bugfix: Implemented specialty check again.

1.3.5.14:
- Added: Additional mutations.
- Added: Information page about possible mutations to beealyzer.
- Changed: Reduced infection chance around miasmic bees.
- Changed: Removed deprecated parched combs as seperate item.
- Bugfix: Tropical bees now actually want jungle vegetation.
- Bugfix: Bog earth can now be crafted with water capsules made from refractory wax.

1.3.5.13:
- Added: Jungle as warm and damp biome.
- Changed: Pulsating dust replaced with pulsating propolis. Rebalanced recipe chain and drop rate. Junk your pulsating dust, it will be removed at the end of alpha.
- Bugfix: Dominant/recessive property of alleles is now actually taken into account when deciding which of them is active. May cause a few previously bred bees to have the wrong color.
- Bugfix: Humidity tolerance is now detected correctly when normal humidity falls inside the tolerated range.

1.3.5.12:
- Upgraded: Minecraft to 1.2.3.
- Added: Appropriate hive spawns for jungle biomes. Removed spawning of forest hives from jungle biomes.
- Changed: Non-nocturnal bees will not have effects at night anymore. Breed in the nocturnal trait if you want that.

1.3.5.11:
- Changed: Beealyzer only accepts bees resp. honey/honeydew into appropriate slots.
- Bugfix: Apiarist's backpack and chest do not accept non-bee items anymore. (Thanks to RichardG for the solution to that problem!)
- Bugfix: Fixed a crash with new bees on apiarist's chest and backpack.
- Bugfix: Fixed gui lighting on apiarist's chest and bag.
- Bugfix: Apropriate "flower" for something finite. 

1.3.5.10:
- Added: Additional common mutations for modest bees.
- Added: Something tropical and infectious for upcoming 1.2. Something finite.
- Added: Config option to disable crafting of all farms (planters and harvesters).
- Changed: Honey combs now all share an item id. Old items have been preserved for now to prevent mishaps with old saves. Use them! Get rid of your parched honey combs, those will be removed at the end of alpha/beta.

1.3.5.9:
- Added: Spider Eyes and Slimeballs to hunter's backpack.
- Changed: Prefered humidity now tied to species to prevent dead end princesses from occuring.
- Bugfix: BreedingTracker should now register mutations and species correctly again.
- Bugfix: HasWork trigger on still is fixed.
- Bugfix: Apiaries in the desert will disregard rain in the outside world.

1.3.5.8:
- Added: Modest bees, able to tolerate desert environments, need cacti as flowers. Parched beehives.
- Changed: Sinister bees can mutate from cultivated (preferably drone) and modest (preferably princess) matings. Make sure you have proper temperature tolerances bred in before attempting this, so that the resulting queen can survive in the nether.
- Bugfix: Fertility on bees now yields the expected results with drones of 1 - fertility.
- Bugfix: Made Beealyzers unstackable.

1.3.5.7:
- Added: API to add additional bee species.
- Bugfix: Hooked up apiary gui on SMP.
- Bugfix: Bumped fertility 3 to 4 to avoid rounding errors.
- Bugfix: Biogas engines will only accept valid fuels into their tanks and not destroy invalid liquids.

1.3.5.6:
- Added: Adventurer's Backpack. No predefined items, solely for user definition via config.
- Added: Beatific trait on bees. Appears on newly bred (or newly converted) imperial bees.
- Changed: Adapted Apiarist's Chest and Backpack for new bees.
- Changed: Adapted breeding tracker for new bees. Will now be properly saved into world save directory.
- Bugfix: Liquid waterproof pipes now connect properly to Forestry machines without needing an additional block update.
- Bugfix: Moisteners should now accept water containers as long as the product slot is empty.
- Bugfix: Destroying an apiary or other Forestry machine containing bees will not reset their genome anymore.
- Bugfix: Flagged new bee items correctly as containing an NBT stack client side as well.

1.3.5.5:
- Added: Riveted backpacks, 45 slot T2 variants of normal backpacks.
- Changed: Beeanalyzer now has three pages and provides additional information.
- Changed: Flagged new bee items correctly as containing an NBT stack for SMP. Causes intermittent crashes unfortunately.
- Bugfix: Using an empty bucket on a BuildCraft tank containing biofuel will return a biofuel bucket and not a single biofuel capsule.

1.3.5.4:
- Removed: Old bees from creative inventory.
- Removed: Bee queens from creative inventory to prevent unmated queen bees from entering the world.
- Changed: Doubled output of infernal branch to bring it back in line with previous levels.
- Changed: Increased fertility of forest bees.

1.3.5.3:
- Added: Fiendish and demonic bees are now aggressive. Keep away!
- Added: Something more heroic.
- Added: Beealyzer shows special bee properties in a letter coded format. "N" = Nocturnal, "C" = Cave-dwelling, "F" = Strong Flyer, "A" = Aggressive, ? = ?.

1.3.5.2:
- Bugfix: Queens of old will now be converted to princesses by apiaries, hopefully preventing cases of unmated queens trying to spawn offspring.
- Bugfix: Should an unmated queen be encountered, she will be converted to a princess instead of trying to spawn offspring.

1.3.5.1:
- Bugfix: Fixed apiary stripping genome data from princesses and drones when extracting them via BuildCraft pipes.

1.3.5.0:
- Added: Beealyzer. Needs honey drops or honeydew for operation.
- Changed: Bee genome was changed. Now more detailed. Attributes, lifespan, working speed and other characteristics are not tied to specific species anymore but can be inherited independently.
- Changed: Mating will now result in a "fertilized" queen. The results of mating will only become apparent when she spawns offspring. This does however result in each offspring receiving its own genome instead of being the queen's clone.
- Changed: Attributes will not stack from primary and secondary species, but instead follow dominant-recessive inheritance.
- Changed: Beehives now drop a princess and a drone.
- Changed: Queens of the current species produce only one princess and one drone to stem the tide of drone spam.

1.3.4.4:
- Bugfix: Fixed critical crash with mushroom farm.

1.3.4.3:
- Added: Crated coal, seeds, saplings.
- Added: Content info to backpack tooltips. Might get removed/reduced if it proves to unwieldy.
- Changed: Inventories with more than 26 slots are now recognized as valid targets to shift-click backpacks in.
- Changed: Increased speed of heroic branch to account for decreased overall production.
- Changed: Increased speed of squeezer.
- Bugfix: Crated sand recipe readded. Crated bronze, copper, tin ore-dictionary aware again.

1.3.4.2:
- Added: Squeezer recipe to convert cacti to water.
- Bugfix: Shift-clicking an Apiarist's Backpack into an Apiarist's Chest will not destroy bees in pages 2+ anymore.
- Bugfix: Removed Apiarist's Pipe addon from server jar to prevent startup crashes when BC 3 is not installed.

1.3.4.1:
- Added: Crated gravel.
- Added: Refractory capsules now also take other liquids recognized by Forestry.
- Changed: Pared down IC2 API to the classes necessary for Forestry to function to minimize future conflicts. 
- Changed: Reduced bee product output across board significantly.
- Changed: Reduced growth rate of trees in farms slightly.
- Bugfix: Ambrosia, honeypot, honey capsules/cans and juice capsules/cans should now show drinking animation.
- Bugfix: Saturation modifiers on food items are back.
- Bugfix: Readjusted mushroom farm area.
- Bugfix: Fixed possible NPE on backpack inventory.
- Bugfix: Farms only dig out six blocks height instead of ten. Actually works now.

1.3.4:
- Changed: Removed crafting recipes for rubber tree plantation and harvester.
- Bugfix: Fermenter and still now accept empty capsules/cans and input capsules/cans.
- Bugfix: Reversed input/output slots on fermenter to match gui properly again.

1.3.3.19:
- Added: Improved bee tooltips. Now showing attributes.
- Added: Additional API comments.
- Added: Cans and capsules can now all be used on BuildCraft tanks.
- Bugfix: Fixed very random and rare crash related to the still, bottler, centrifuge, fermenter, moistener and squeezer.

1.3.3.18:
- Added: Config option to disable beehive generation.
- Added: Crates for: Stringy combs, dripping combs, simmering combs, refractory wax, ash, phosphor, charcoal.
- Changed: Replaced direct propolis and honeydew production with stringy combs and dripping combs. Centrifugate them to get propolis, honeydew and (a lesser amount of) honey drops. 
- Changed: Recipe format of centrifuge, allowing for more products. Centrifuge now adds all items at the end of the production cycle, not just the first.
- Changed: Disabled crafting of apiarist's backpack on SMP.
- Changed: Cultivated bees like it cold.
- Bugfix: Rainwater tank does not swallow a container that is currently in the process of being filled, if the game is reloaded during the process.

1.3.3.17:
- Added: Crafting recipes to convert rubber tree plantations and rubber tree harvesters to standard arboretums and loggers at no cost.
- Added: Squeezer recipe for honeydew.
- Changed: Increased lava yield for phosphor. Added additional recipe.
- Changed: Disabled crafting of Apiarist's Chest on SMP. Skipping Apiarist's Pipe on SMP.
- Bugfix: Rubber tree harvester picks up saplings and resin again.
- Bugfix: Bees from the sinister branch now accessible via creative inventory.

1.3.3.16:
- Added: Crates for resin, rubber, scrap and uu matter.
- Added: HasWork trigger for BC gates on carpenter.
- Changed: Increased speed of carpenter.
- Bugfix: Backpacks now work on SMP. Thanks to Player of IC2 for the solution to that particular problem.
- Bugfix: Fermenter will now also check whether there is a valid recipe for the available resource before setting the hasWork trigger to true.
- Bugfix: Manual uncrating on non-Forestry and non-Vanilla item crates should now work.

1.3.3.15:
- Upgraded: Forge 1.3.3+ now required.
- Changed: Piping out of the squeezer from any side will first extract from the capsule/can slot, then from the remnant slot.
- Changed: Disabled backpack crafting in SMP.
- Changed: Added ICraftingProvider to all recipe managers to allow access to recipes in Forestry machines via API.
- Changed: Lowered fuel value of peat in vanilla Minecraft.
- Bugfix: Removed health on drones and princesses to prevent drones from becoming unstackable on changing lifespan.
- Bugfix: Error codes should now be synchronized correctly on SMP.

1.3.3.14:
- Bugfix: Works without BuildCraft again.
- Bugfix: Number of discoverable bee species displayed correctly.
- Bugfix: Demonic bees can now be bred. 

1.3.3.13:
- Added: Attributes to bee species. Infernal branch is heat resistant and nocturnal. Heroic branch nocturnal and cave dwelling. Attributes of primary and secondary species are combined. Cultivated bees will ignore the rain.
- Changed: Gear recipes now all require a copper ingot in the center if BuildCraft is not installed.
- Changed: Queens now always age regardless of having produced anything or not. Lifespans adjusted to account for that.
- Bugfix: Apiary radius increased slightly.

1.3.3.12:
- Added: Bottler recipe to bottle lava into refractory capsules.
- Added: Apple juice and liquid honey as liquid fermenter resource. Using these two liquids instead of plain water in a fermenter will boost biomass output by 50 %.
- Changed: Reduced amount of honeyed slices from crafting recipe.

1.3.3.11:
- Changed: Can recipe to match resource-product ratio of IC2 cell recipe.
- Changed: Removed getWorld(0) server side.
- Changed: Infernal combines not side sensitive anymore.
- Bugfix: Netherwart farms plant netherwart again.
- Bugfix: Fixed basic compilation errors server side.
- Bugfix: Backpacks not dropping matching items on SMP anymore.

1.3.3.10:
- Added: Smooth stone as item for Digger's Backpack.
- Added: Pumpkin and melon seeds as possible sources for seed oil.
- Added: Transport pipe interaction for biogas engines to enable use of cans/capsules/cells to supply them.
- Added: Config options to add custom flower blocks for apiaries.
- Added: Juice and honey capsules now drinkable.
- Added: Cans, capsules and IC2 cells can now be squeezed for their contents. The process will destroy the can, capsule or cell but may yield a small amount of the resource used to create it.
- Bugfix: Oil and fuel cans/capsules for BuildCraft registered again.

1.3.3.9:
- Added: Wool as item for Hunter's Backpack.
- Added: Glowstone as item for Miner's Backpack.
- Added: Soulsand as item for Digger's Backpack.
- Added: Fiendish and Demonic bees.
- Added: Phosphor, refractory wax, refractory capsule, 
- Added: Additional recipes for centrifuge and squeezer.
- Bugfix: Normal bee species don't grow netherwart anymore.
- Bugfix: Biogas engines accept milk again.

1.3.3.8:
- Added: Sinister bees are cultivated commoners from hell that like to grow netherwart.
- Upgraded: Forge 1.3.2.6+ using the now integrated pickup handler for backpacks.
- Changed: All mutations now have a chance to fire - except in hardcore beebreeding mode of course. Should make beebreeding more predictable on kindergarten difficulty.
- Changed: Removed ability of forester to grow netherwart.

1.3.3.7:
- Added: hasWork trigger to squeezer.
- Added: Cans and capsules for seed oil, juice and liquid honey. Matching recipes for the bottler.
- Changed: Readded gears to ore dictionary.
- Bugfix: Provider for rubber saplings now correctly returns a rubber sapling entity to harvesters.
- Bugfix: Wooden pipes do not pull full stacks from centrifuges anymore.

1.3.3.6:
- Changed: Removed some dead code.
- Bugfix: Fixed NullPointerException in squeezer.

1.3.3.5:
- Added: Sneak building of pipes for engines.
- Added: Gui for infernal farm.
- Changed: Reduced height of wheat farm and peat bog to six blocks.
- Changed: Moved arboretum, rubber tree plantation and mushroom farm to new format. Arboretum should now also handle rubber trees from IC2. Rubber tree plantation is deprecated.
- Changed: Finished API to add additional crops to the different farms.

1.3.3.4:
- Changed: Moved peat bog, cacti and sugar cane harvester to new format.
- Bugfix: Pumpkin/melon farm harvesting correct products again.
- Bugfix: Chunks containing a squeezer will now save even if the squeezer's tank is full.

1.3.3.3:
- Bugfix: Bottler and centrifuge stop operation when output slot is full.
- Bugfix: Pumpkin farm planting stems again instead of fully grown pumpkins/melons.

1.3.3.2:
- Bugfix: Fermenter accepts liquid resources again.

1.3.3.1:
- Added: Proper BuildCraft pipe interaction for squeezer. Top and bottom extracts from the output slot for cans, sides from the remnant slot. Empty cans will go into the slot for empty cans, every other item piped in will end up in a resource slot.
- Changed: Refactored pumpkin farm and harvester to fit new farm format.
- Changed: Combine not side sensitive anymore.
- Changed: Reduced energy requirements on squeezer, reduced number of required work cycles for seeds.
- Bugfix: Lava cans registered correctly and not behaving like buckets anymore.
- Bugfix: Carpenter should now recognize double chests correctly.
- Bugfix: Increased amount of power that can be passed into a biogas engine to allow more biogas engines in a row.
- Bugfix: Squeezer now stops when its tank is full.

1.3.3.0:
- Added: Netherwart farm. New machine: Squeezer.
- Added: Seed oil. Burns for 3 MJ/t for 10.000 ticks.
- Added: Hunter's Backpack. Stores all the junk loot from mobs.
- Added: Crating/uncrating for redstone, lapis, reeds, clay, glowstone dust, red apples and netherwart.
- Added: Using a crated item will break the crate and release its contents onto the ground, making manual uncrating possible.
- Added: Config option to disable apple pickup on logger.
- Added: Clay to Digger's Backpack.
- Changed: Forester will now grow netherwarts.
- Changed: Broke API again. Sorry about that.
- Changed: Moved ForestryItems out of API and replaced it with a getter function to limit future API breakage.
- Changed: Rewrote internal handling of liquid containers. Bottler should now accept all containers registered for valid liquids.
- Bugfix: Replaced static 128 with World.worldHeight in tree and mushroom generators.
- Bugfix: Harvesters now handle adjacent double chests correctly.
- Bugfix: Repaired ISidedInventory on harvesters. Internal product inventory now actually used.

1.3.2.1:
- Added: Crafting recipe to create torches from beeswax.
- Added: Forester's Backpack will now add items shared on the ore dictionary as long as those start with "wood".
- Added: Config option to add additional items, blocks to the backpacks.
- Changed: Reduced energy requirements of centrifuge.
- Changed: Reduced duration of centrifugating a honey comb to something less annoyingly slow.
- Bugfix: Progress display in centrifuge gui was off by a pixel.
- Bugfix: Fixed shift leftclick on product display on carpenter and working slot of moistener.
- Bugfix: Fixed product stacks on carpenter sometimes not increasing.

1.3.2.0:
- Added: Honey Pots.

1.3.1.3:
- Added: Bee resources (honey drops, honeycombs, beeswax, propolis, honeydew, pollen, royal jelly) to ore dictionary.
- Changed: If there are existing stacks of items that can be accepted into a backpack are in the player's inventory, those stacks will be topped off before placing items into the backpack.
- Bugfix: IC2 Uranium now picked up by Miner's Backpack.
- Bugfix: Lapis now picked up by Miner's Backpack.
- Bugfix: Unloading now works properly on double chests.

1.3.1.2:
- Added: Sneak-unloading for backpacks. Hold down the shift key when using a backpack on a chest to automatically unload the backpack's contents into it. Apiarist's Backpack will also unload into Apiarist's Chest.
- Added: Display of approximate working speed to bee analyzer.
- Changed: Halved value of IC2 plantballs in fermenters.
- Changed: Reduced output of honyecombs on Forest and Meadows bees.

1.3.1.1:
- Added: Forester's backpack. Accepts flowers, saplings, mushrooms, wood, leaves.
- Added: Color coding on bee analyzer in Apiarist's Chest and Backpack to indicate chances of yet undiscovered mutations occuring. (Red = very low chance -> yellow -> green -> blue = very high chance.)
- Changed: Breeding history now saved per world and not globally anymore. Added config switch to allow switching to global tracking instead.
- Changed: Reduced amount of honeyed slices produced by crafting recipe to 5.
- Bugfix: Matching items will not vanish anymore when picked up while a backpack is opened.

1.3.1.0:
- Added: Miner's and Digger's Backpack. Optional patch for Minecraft jar to sort items into Forestry backpacks on pickup.
- Added: Breeding history now also keeps track of species and amount of different bee types bred. Statistics displayed in Apiarist's Chest and Backpack.
- Added: Custom triggers to planters for low soil and low germlings.
- Bugfix: Resin extracted via an automatic treetap can now be picked up manually.
- Bugfix: Fixed crash on putting steadfast bees in Apiarist's Chest or Bag.

1.3.0.3:
- Bugfix: Fixed another typo that prevented Apiarist's Pipes from loading.

1.3.0.2:
- Bugfix: Fixed two typos preventing Unweary and Industrious bees from appearing.

1.3.0.1:
- Added: Apiarist's chest and backpack. Store up to 125 stacks of bees and track discovered species combinations that can lead to more advanced species.
- Changed: Reduced flower growth speed on all bee species.
- Changed: Reduced tin spawn rate slightly.
- Changed: Reduced spawn chance on dungeon loot. Added config option to reduce spawn rate further.
- Bugfix: Fixed serious crashbug related to gate triggers adjacent to apiaries.

1.3.0:
- Added: Plantballs and compressed plantballs from IC2 as fermenter resource based on wheat values.
- Bugfix: Removed ModLoader logging on electrical engines.
- Bugfix: Fixed crash when opening gui of apiarist's pipe.

1.2.9.17:
- Upgraded: Official IC2 API.
- Added: Planters won't clear personal safes, reinforced stone, reinforced glass, reinforced doors, cables from IC2 anymore.
- Added: Bees to IC2 recycler blacklist.

1.2.9.16:
- Added: Custom trigger for BC gates on fermenter: "has work".
- Added: (Hopefully) finalized API for 1.3.
- Added: Bottler recipes for IC2 water and lava cells.
- Added: If an apiary is working, there is a small chance that additional flowers in the vicinity may grow. Chance of growth varies with bee species in apiary.
- Added: API option to add additional flowers from other mods for the apiary.
- Changed: IC2 plugin to new API format.
- Bugfix: Fixed pipe interaction on bottler.
- Bugfix: Lava cans added as valid lava containers.
- Bugfix: Removed several debug messages.
- Bugfix: Depleted soil is now replaced correctly even if covered in snow.
- Bugfix: Bumped expected Forge version to 1.3.0.

1.2.9.15:
- Added: Cans and capsules can now be used to fill BuildCraft tanks, consuming the can/capusle in the process.
- Added: Implemented "sneak-building" on all relevant machines. If you want to build something adjacent to one of them, you can use shift to suppress the gui opening.
- Added: Oil and fuel cans/capsules. Lava cans. Scientists continue to find bottling lava into wax capsules to be... a unique and occasionally life changing experience.
- Added: Recipes to create water, biofuel, biomass, oil, fuel capsules/cans and lava cans in bottler.
- Added: Custom triggers for BC gates on bottler: "low on resources" and "has work".
- Added: Custom trigger for BC gates on centrifuge, still: "has work".
- Changed: Recipe of bottler to use empty cans of Forestry instead of empty fuelcans from IC2.
- Changed: Energy requirements of bottler to match those of the raintank.
- Changed: Halfed required fuel input for biofuel->IC2 fuelcan recipe.
- Changed: Centrifuge will now add products to inventory immediately after producing them if possible.

1.2.9.14:
- Added: All machines, resources and bees to creative inventory.
- Added: Config switch to disable bronze crafting recipe.
- Added: Config switch to enable hardcore bee breeding mode.
- Added: ISidedInventory implementation to carpenter similar to moistener.

1.2.9.13:
- Upgraded: Minecraft 1.1.0 and Forge 1.3.0.
- Added: Bituminous peat.
- Added: Red and golden apples as windfall to loggers.
- Changed: Peat-fired engines now dump ash into adjacent BuildCraft pipes if found.
- Changed: Additional recipes can be added to the still via API.
- Bugfix: Biomass and biofuel buckets don't crash Minecraft anymore when used on buildcraft tanks.
- Bugfix: Peat-fired engines now save ash production on save/reload.

1.2.9.12:
- Added: Additional "has work" trigger for rainwater tank. Removed redstone signal.
- Changed: Increased internal energy storage of engines.
- Bugfix: Carpenter recipes ore dictionary aware again.

1.2.9.11:
- Added: Additional recipes for catalyst, substituting fertilizer for pollen.
- Changed: Changed nametags of old copper and tin ore blocks back to prevent confusion.
- Bugfix: Not crashing anymore when registration of oreTin is disabled.
- Bugfix: Raintank works again. Fixed pipe interaction concerning buckets. 

1.2.9.10:
- Added: Custom triggers for BC gates on moistener and raintank.
- Changed: Tweaked life spans of bee queens slightly to slow down later breeding progression.
- Changed: Spawn rates for beehives. Again.
- Changed: Wild beehives glow slightly and should be easier to find during the night.
- Bugfix: Moistener prefers already used slots when rotating the working slot. 

1.2.9.9:
- Added: Custom triggers for BC gates on fermenter, apiary, peat-fired engine and centrifuge.
- Added: Recipe for BuildCraft refinery for biomass -> biofuel.
- Changed: Removed legacy code for BuildCraft 2.2.x.
- Changed: Mature bog earth now drops peat when harvested with a shovel.
- Changed: Bog earth will only mature if any adjacent block in a 3x3 radius is water.
- Bugfix: Apatite ore now registered correctly with ore dictionary.
- Bugfix: Ore and beehive blocks registered correctly again.
- Bugfix: Bog earth and humus finally sound like dirt and not like rock. 

1.2.9.8:
- Added: New recipes for catalyst, new sprite. Obsoleted empty vials in favour of cans and capsules. Vials are now uncraftable, though the vial recipe for catalyst remains valid for now.
- Changed: Forester now also handles rubber saplings and wheat.

1.2.9.7:
- Added: ISidedInventory to moistener, apiary and centrifuge.
- Added: Honey drops as "dropHoney" to ore dictionary.

1.2.9.6:
- Added: More comments on new API options.
- Changed: New inventory managment for the moistener to facilitate use with logistics pipes.
- Changed: Slowed down peat maturation and mushroom growth slightly again.
- Bugfix: "No flower" error message displayed correctly on apiaries.
- Bugfix: Health meter now correctly fills on queen bees.

1.2.9.5:
- Added: Error display to Apiary, moistener and raintank for several common error states.
- Changed: Integrated addon for ForestryPipes into same package. Ensured function without BuildCraft.
- Bugfixes: Several.

1.2.9.4:
- Changed: Looked at and adjusted all growth, degradation and maturation values of saplings, mushrooms, bog earth, humus and adjusted them to reflect the new rate of update ticks in Minecraft 1.0.0.
- Changed: Apiary will only accept a drone from pipe if there is none in the drone slot. Drones are still stackable.

1.2.9.3:
- Changed: Scoop recipe now requires only sticks instead of polished oak sticks.
- Bugfix: Beehives will drop queens only if they are harvested with a scoop. Pickaxes are ineffective.
- Bugfix: Apiarist's pipe now showing the correct texture when in inventory or held by player.
- Bugfix: Moistener will not destroy full stacks shift clicked into the working slot anymore but instead decrease them by one. Fixed infinite resource bug.

1.2.9.2:
- Added: Separate BuildCraft addon "Apiarist's Pipe" to sort bees by breeds and types.
- Added: Pipe waterproof recipe for beeswax.
- Bugfixes: Several, mostly related to stackable drones and BuildCraft pipe interaction.

1.2.9.1:
- Added: Centrifuge to create beeswax and honey drops from honeycombs.
- Added: Additional resources: Pollen, beeswax, propolis, royal jelly, honeydew.
- Added: Wax capsules, honeyed slices, ambrosia, short mead.
- Added: Water capsules, biomass capsules, biofuel capsules. Behave like water, biomass and biofuel cans, however are created using wax capsules.
- Added: Recipes to create slime balls and glistering melons using propolis and honeydew respectively.
- Added: Configuration for Not Enough Items by Chickenbone.
- Added: Caching of generated offspring to prevent loss of princesses or drones.
- Changed: Redid species setup, now branches out in a noble and an industrial branch. Added several new bee species for a total of 10. 
- Bugfix: Apiaries will refuse to work not only in low light, but also during night time and in desert and snow biomes.

1.2.9.0:
- Added: Apiary.
- Added: Wild beehives.
- Added: Bee species.
- Added: Honey combs.

1.2.6.4:
- Upgraded: Minecraft 1.1.0, Forge 1.3.0, IC2 1.61
- Bugfix: Possibly resolved issues with farms sitting on partially unloaded chunks.

1.2.6.3:
- Bugfix: Growth, degradation and maturation rates fixed and returned to 1.8.1 levels.

1.2.6.2:
- Bugfix: Pumpkin/melon farm gui not disconnecting clients on SMP anymore.
- Bugfix: Planter now checks for valid item id and damage value before trying to add soil to inventory.

1.2.6.1:
- Changed: Automatic treetap now only requires a sturdy machine instead of a hardened machine.
- Changed: Drastically reduced energy requirements of rainwater tank.
- Bugfix: Fixed duplication bug on biofuel bottler.
- Bugfix: Peat bog will collect grass blocks as dirt blocks.

1.2.6.0:
- Upgraded: Compiled against (official) Minecraft Forge 1.2.3. Requires at least 1.2.2 from now on to bypass buggy 1.2.1.
- Changed: Electrical engine now requires 6 EU/t to produce 2 MJ/t.

1.2.5.5:
- Bugfix: Fixed crashbug related to updating ore dictionary recipes on the carpenter.

1.2.5.4:
- Added: Iodine capsule and carpenter recipe. Rainmaker can now be only activated using this item.
- Changed: Increased internal storage of harvesters to accomodate at least four different types of windfall. 

1.2.5.3:
- Added: Ability to pipe substrates into rainmaker.
- Changed: Enlarged clearing area of mushroom farm.
- Bugfix: Fixed crashbug when placing an electrical engine adjacent to a pump.

1.2.5.2:
- Added: Automatic treetap.
- Added: Resin holes for rubber trees grown in a rubber tree plantation. Rarity should correspond to that on original IC2 trees.
- Added: Config settings to increase user control over ore generation and block id usage. Ore generation can now be disabled while keeping the ore blocks registered.
- Added: Will autogenerate a .cvs template for ItemDescriptions in config/itemdescriptions/templates/forestry.cvs.
- Added: API option to add valid substrates for the rainmaker.
- Added: Additional recipe for hardened machine using IC2 industrial diamonds.
- Changed: Slightly increased peat maturation.
- Bugfix: Rubber tree farm will now always choose to use IC2 rubber wood instead of RP rubber wood.
- Bugfix: Now using standard format for item names.
- Bugfix: Electrical engine not requesting energy anymore when it is deactivated.

1.2.5.1:
- Bugfix: Rightclicking the rainmaker without item in hand will not crash the game anymore.
- Bugfix: Corrected item and block names (again).
- Bugfix: Rainmaker and forester animations in SMP now run smoothly.

1.2.5.0:
- Added: Rainmaker.
- Changed: Appearance and function of forester. Inputting energy will start an activation process similar to the rainmaker, thus throttling the speed regardless of energy input.

1.2.4.4:
- Bugfix: Forester gui usable on SMP again.
- Bugfix: Renamed rubber tree farm to rubber farm to prevent issues on SMP.
- Bugfix: Fixed issue with rubber wood from RP2 getting chosen over rubber wood from IC2 if RP2 loads before Forestry.
- Bugfix: Power consumption of idle electrical engine fixed.
- Bugfix: Stacktrace output to server console for BC compatibility removed.

1.2.4.3:
- Bugfix: Client not disconnecting on opening gui of BioPower Generator in SMP anymore.

1.2.4.2:
- Removed: Auto disabling of ore generation if another mod supplies tin and copper. Disable it via config! (To prevent any issues of tin and copper ore vanishing in already generated chunks when IC2 upgrades.)
- Bugfix: Pumpkin farm now produces sand as waste.
- Bugfix: Cleared area of farms now matches working area again.
- Bugfix: Rainwater tank not producing stacked buckets anymore.

1.2.4.1:
- Bugfix: Fixed serious crash bug with pumpkin/melon farms.

1.2.4.0:
- Added: Recipe to create humus from mulch using the carpenter.
- Added: Seeds as required resource for the creation of mycelium in the moistener.
- Bugfix: Survivalist pickaxe now effective agains bricks and netherbricks.
- Bugfix: Fixed an issue that caused some recipes to get added twice.

1.2.3.5:
- Added: Additional possible products to moistener depending on items in added resource slot. Items piped into top or bottom will be put into the resource slot.
- Added: More comments for new API options. 

1.2.3.4:
- Added: Carpenter will now try to restock resources in the crafting matrix from adjacent inventories.
- Added: Additional options to API to allow adding seeds and crops to farm and combine. 
- Changed: Increased durability and harvest level of survivalist's pickaxe and shovel. Increased maximum stack size of associated assembly kits.
- Bugfix: Survivalist's pickaxe and shovel now also effective against appropriate mod blocks provided they are registered with Minecraft Forge. 

1.2.3.3:
- Added: Peat as a fuel source to vanilla Minecraft. Using it in a peat-fired engine yields a 25 % longer burn time than using it as a substitute for coal.
- Changed: Removed duplicate textures for engine trunks. Removed dummy textures for unused secondary tanks on bottler, carpenter, generator, moistener, raintank.
- Changed: Rubber tree plantation, harvester, bottler and generator will remain in the game even if IC2 is not installed to prevent any mishaps occuring if IC2 does not load. They will however be uncraftable. Existing machines will refuse to do anything as long as IC2 is not present.
- Bugfix: Turbary not side sensitive anymore.
- Bugfix: Improved water maintenance code on farm to prevent the spiral of death that could sometimes occur after first time setup.

1.2.3.2:
- Improved: Clearing code of farms. Will not clear the inner working area anymore. Will not clear torches, cobblestone, mossy cobblestone, chests or netherbrick.

1.2.3.1:
- Changed: All farms now eject waste product into BuildCraft pipes attached to the sides of the farm. Side sensitivity can be disabled using the config setting "planters.sidesensitive". 
- Changed: Switched detection of BuildCraft items from static item ids to reflection.
- Changed: Switched detection of IC2 items from static item ids to reflection. Thanks to Nirek for providing the necessary field names!
- Changed: Rolled all farms into machines.
- Bugfix: Harvesters should now respect config setting "harvesters.sidesensitive".

1.2.3.0:
- Added: Sugar Cane Harvester. Will automatically harvest the topmost block of any fully grown sugar cane plant in its harvesting area.
- Changed: Cacti Collector is now the Cacti Harvester. Instead of collecting dropped cacti blocks it will automatically chop off the topmost block of fully grown cacti.
- Changed: All harvesters (logger, farm, rubber tree harvester, pumpkin/melon harvester, turbary, cacti harvester, sugar cane harvester) push out harvested product into adjacent BuildCraft pipes without the need for extraction using wooden pipes.
- Changed: Reduced fuel usage per tick in BioPower Generator effectively doubling EU output per bucket of resource.
- Bugfix: Mushrooms in mushroom farms now always drop brown mushroom instead of mushroom/saplings.

1.2.2.3:
- Bugfix: Biogas engines now accept lava from pipes.
- Bugfix: Added fallback when trying to load a machine with non-existing meta.

1.2.2.2:
- Upgraded: BuildCraft API to 3.0.4. Implemented compatibility code for 2.2.8.
- Bugfix: Really fixed a crashbug related to BuildCraft 3.x and liquid tanks.

1.2.2.1:
- Changed: Rebalanced output of peat bog to make sure it stays efficient.
- Changed: Doubled output of bio power generator to 20/tick for biofuel and 8/tick for biomass while doubling the amount of fuel consumed per tick. 
- Bugfix: Fixed a crash that occured when a BuildCraft pipe tried to extract waste from a planter without valid waste (farm, peat bog).
- Bugfix: Fixed an issue that prevented the chain for rubber tree farms to initialize even though IC2 was installed.
- Bugfix: Fixed a crashbug related to BuildCraft 3.x and liquid tanks.

1.2.2.0:
- Added: Crating and uncrating recipes for silver and brass ingots.
- Changed: Revamped the overambitous original API and simplified it greatly.
- Bugfix: Farms will not clear bedrock anymore.
- Bugfix: Fixed a crashbug that would occur when ore generation was disabled in config and another mod would add ores to the Forge ore dictionary.
- Bugfix: Biogas engines will not accept liquids from the direction they are facing anymore, making them usable on pumps.

1.2.0.9:
- Changed: New texture for moistener.
- Bugfix: Enabled SMP data transmission for carpenter and moistener. Enabled texture refresh.
- Bugfix: Removed largish amount of console debug messages.
- Bugfix: Mushroom farm now displays correct gui in SMP.

1.2.0.8:
- Added: Progress display to moistener gui.
- Added: Bog earth recipe for carpenter using mulch instead of water can/water cell/water bucket. Will consume a bucket of water from the carpenter's tank.
- Bugfix: Did another pass on ore dictionary code. Should resolve known remaining issues.

1.2.0.7:
- Bugfix: Preloading all texture files again.
- Bugfix: Ore handler for Minecraft Forge now gets registered at the last possible moment to make sure all of Forestry's recipes are registered beforehand and get processed with added ores.
- Bugfix: Copper and tin ore is generated again.

1.2.0.6:
- Changed: Sped up mushroom growth slightly.
- Changed: Cacti collector, pumpkin/melon harvester and mushroom picker are not side sensitive anymore. Side sensitivity was confusing on all three since they do not have secondary products.
- Changed: Increased light level at which mushrooms can grow slightly.
- Bugfix: Fixed possible endless loop on mushroom and pumpkin/melon farm caused by the fact that there were two valid germling types.

1.2.0.5:
- Changed: Rewrote ore dictionary handling. Ingots from Forestry and RP will coexist. Recipes can be crafted with either ingots from Forestry or ingots from RP.

1.2.0.4:
- Changed: Reversed order in which the carpenter consumes resources. Are now used up at the end of the crafting cycle, not at the beginning.

1.2.0.3:
- Added: Crating and uncrating recipes for mycelium and mulch.
- Added: Recipe to convert Forestry's bronze ingots to the bronze ingots actually in use currently. If the bronze ingot of another mod is used, Forestry's bronze ingots turn to "Patinated Bronze" and can be crafted 1:1 to the other mod's bronze ingots.

1.2.0.2:
- Added: Moistener. Produces mycelium blocks. Recipe like Fermenter except it uses copper gears instead of bronze gears. Only works in the dark. Speed and efficiency improves with deepening darkness.
- Added: Mushroom farm and picker. Mushroom farm requires mycelium blocks as soil, mushrooms as germlings. Produces dirt. Mushrooms only grow in the dark.
- Upgraded: Bumped BuildCraft API to 3.0.3.
- Upgraded: Bumped IC2 API to 1.337.
- Bugfix: Removed names from dummy saplings/mushrooms to remove them from TMI and prevent a TMI crash. Disabled old TMI workaround since it was non-functional.
- Bugfix: Removed ability to put items into crafting result display of the carpenter.
- Bugfix: Carpenter now displays fill state of water tank on the render model.
- Bugfix: If IC2 is not found, already placed saplings in rubber tree farms will not crash the game anymore. Instead they will grow into normal trees.
- Bugfix: Fixed crash on shift-leftclick from guis when player inventory was full.
- Bugfix: Fixed crash on shift-leftclick into guis when player inventory was full.

1.2.0.1:
- Added: Crating and uncrating recipes for peat, apatite, fertilizer, tin ingots, copper ingots, bronze ingots, wheat.
- Added: Wheat and sugar cane as low yield resources for the fermenter.
- Added: Harvesters will now drop all natural windfall of the harvested block. Added resin to windfall list for rubber tree plantation.
- Changed: Adapted ore generation to new generation values. Forestry's own copper and tin should now be again as common as iron.
- Bugfix: Bottling plant now accepts biofuel cans.
- Bugfix: Pumpkin/melon farm will not dig out the middle path anymore.
- Bugfix: Wooden pipes still connect to the tip of Forestry's engines, but can be powered by them.
- Bugfix: Rainwater tanks won't fill in desert and snow biomes. You might want to take down your large water collection facility in the nearby sahara.

1.2.0.0:
- Upgraded: Codebase to Minecraft 1.0.0.
- Upgraded: BuildCraft API to 3.0.2.
- Added: Crating and uncrating recipes for nether bricks.
- Changed: Default value for compatibility.tmi.fix set to false. TMI for Minecraft 1.0.0 works without additional patches. The workaround is not needed anymore and will be removed in a later version.
- Bugfix: Humus and bog earth now always drop the correct block, when they are dug up.
- Bugfix: Shovels are now effective against humus and bog earth.
- Bugfix: Shovel 'Ivar' now actually useful.
- Bugfix: Carpenter gui now updates correctly.
- Bugfix: Opening the carpenter gui in SMP will not crash the game anymore.
- Bugfix: Machines will show up in SMP again.

1.1.2.2:
- Added: Carpenter and initial recipes. Carpenter will only autocraft if there is more than one item per required stack in craft matrix so as not to destroy the entered recipe. Crafting can be forced by clicking on the crafting result slot.
- Added: Crating and uncrating recipes for dirt, cobblestone, stone, sand, sandstone, bricks, obsidian, cacti, wood, netherrack, soulsand, bog earth and humus.
- Added: Pickaxe 'Billy', Shovel 'Ivar' and associated assembly kits. Like all Do-it-yourself products these server their purposes quite well but don't last long.
- Added proper piping to carpenter. Now fully BuildCraft compatible. Boxes (cartons) can be added from top or bottom. Everything from the sides will be added to the craft matrix if possible. Product can be pumped out from any side.
- Added: Config switch to disable side sensitivity on harvesters. Pipes attached to any side will draw from all harvest stacks. Side sensitivity is enabled by default.
- Bugfix: Fixed possible duplication bug in rainwater tank. 

1.1.2.1:
- Added: BuildCraft 3.0.1 support merged into main branch. Backwards compatible to BuildCraft 2.2.5.
- Changed: Forestry now accepts its own wrench, BuildCraft's wrench and IC2's wrench as equals without prioritizing one above the other.
- Bugfix: Mechanics of biogas engines should now be fixed. They actually hold off on the lava now if powered by biomass or milk. 
- Bugfix: Config switch ic2.ignore working again.
- Bugfix: Redstone signal of rainwater tanks in SMP disabled because it was buggy (wrong blocks receive the signal). Can be reenabled with "smp.raintank.signal=true" in the config.

1.1.2:
- Added: Pumpkin farm and harvester now double as melon farm and melon harvester. Adapted texture.
- Added: Bio power generator for IC2 energy net. Only available if IC2 1.23 is installed. Converts one bucket of liquid biomass into 4.000 EU at 4 EU/t. One bucket of biofuel is converted into 10.000 EU at 10 EU/t. Recipe: One sturdy machine, six gold ingots, two glass blocks.
- Added: Config switch to disallow Forestry to circumvent TMI. Will cause crashes if TMI is not by some means patched to work with Forestry.
- Added: Both fermenter and still gained a fourth resp. second inventory slot while losing their charge indicator. The new slot can be filled with empty cans. If the output slot is free, fermenter and still will create biomass resp. biofuel cells by filling cells from this stash.
- Added: Peat can now be smelted down to ash in furnaces.
- Changed: Peat-fired engines produce less ash.
- Changed: Fermenter runs faster on both fertilizer and manure. Liquid biomass lasts longer in biogas engines. Fertilizer and manure now are consumed faster but ferment more biomass overall.
- Changed: Still speed increased significantly. Ratio of biomass to biofuel conversion changed from 4:1 to 2:1.
- Changed: Increased amount of liquid biomass generated from a single sapling. Decreased for cacti blocks.
- Changed: Decreased speed at which humus degrades even if not displaced by a growing tree. Slightly increased time bog earth takes to mature to peat.
- Changed: Pumpkin/melon farm and harvester cost increased. Instead of a simple sturdy machine they now require an arboretum and a logger respectively to craft. Changed required four pumpkins to two pumpkins and two melon blocks.
- Changed: Rubber tree plantation and harvester cost increased. Instead of a simple sturdy machine they now require an arboretum and a logger respectively to craft.
- Bugfix: Manura-ash recipe was returning 4 manure when it should only return 1.
- Bugfix: Pumpkin/melon harvesters will not waste anymore dirt blocks by replacing blocks below grown pumpkins/melons before they are harvested.
- Bugfix: Apatite ore should now be mineable at normal speeds.
- Bugfix: Engine animation now shows cooldown correctly after the engine was stopped.
- Bugfix: Still does not waste biomass anymore when the product tank is full.
- Bugfix: Gui crash for peat-fired engine in SMP fixed again.
- Bugfix: Fixed another gui crash in SMP when guis with gauges were not getting updated fast enough.

1.1.0.4
- Added: Cacti collector. Recipe requires a logger at the center, four cactus blocks and four glass blocks.
- Added: Biofuel cans and biomass cans. Neither can be produced yet as fermenter and still lack the necessary inventory slot for empty cans. Still and biogas engine can already handle biomass cans as resource.
- Bugfix: Fixed a crash that could occur when a machine was placed down next to a preexisting engine.
- Bugfix: Harvesters, growers and machines now work with BuildCraft's RedstonePowerFramework.
- Bugfix: Fixed a NullPointerException that could occur, when a machine was placed adjacent to an already placed pipe.
- Bugfix: Fixed about 10 further possible NullPointerExceptions concerning machines.
- Bugfix: Fixed incorrect path to config file on server.

1.1.0.3
- Bugfix: Added workaround for crash with Too Many Items mod.

1.1.0.2
- Added: Cacti and rubber saplings as fermenter resource.
- Changed: If generation of apatite ore is disabled in config, Forestry will use one block id less. Amount of used block ids can thus now drop to 7 if IC2 is installed alongside.
- Changed: SMP: Reduced size of update packages for machines and engines to a fraction of former size.
- Changed: Harvesters and growers have now seperate textures for each side.
- Changed: New color-coded textures for harvesters and growers. Added new textures for pumpkin farm and pumpkin harvester.
- Bugfix: Putting a single water can into a fermenter or biogas engine will now correctly consume the can and not return an empty can.
- Bugfix: Water can now be pumped correctly into and out of rainwater tanks.
- Bugfix: Fixed appearance of several guis.
- Bugfix: Biogas engine and fermenter only consume water containers from the supply slot if there is enough space in the water/lava container.

1.1.0.1
- Bugfix: Fixed crashbug that could occur when trying to pipe items into a full peat-fired engine. (Fixes crash with insertion pipes from additional pipes.)
- Bugfix: All machines now drop their inventory contents on destruction.

1.1.0
- Feature: Rainwater tank. Collects water when it is raining. Water can be extracted using waterproof pipes. Alternatively the tank can be supplied with empty liquid cans and powered by an engine to produce stackable water cans.
- Added: Rainwater tank outputs a redstone signal when it is currently bottling water or if there is enough water and empty cans/cells available for bottling.
- Added: Crafting recipe for empty cans for use in a rainwater tank.
- Added: Lava and water cells from Industrial Craft 2 are now accepted by biogas engines and fermenters.
- Added: Configuration switches for gui ids in SMP.
- Changed: Will now always check for copper and tin ingots even if bronze ingots are found. If not found via the ore dictionary, they will be added.
- Bugfix: SMP gui id for peat engine changed to enable compatibility with BucketFiller mod.
- Bugfix: Added additional checks that should prevent the rubber tree farm from placing normal tree saplings or the harvester from picking up invalid saplings.
- Bugfix: Tin and copper ingots now have a name if there are no superceding ingots from the ore dictionary.

1.0.9.9
- Changed: Recipe for bog earth now better suited for mass production.
- Changed: New texture and gui for peat bog.
- Changed: New texture for farm.
- Changed: New texture for turbary.
- Changed: New texture for rubber tree plantation.
- Changed: Increased fermentation value for both fertilizer and manure to speed up fermenters. Decreased destillation time of still slightly.

1.0.9.8
- Bugfix: Fixed nasty crashbug in SMP caused by the wrong container object for peat-fired engines getting passed. 

1.0.9.7
- No block ids were harmed in the making of this update.
- Feature: Peat bog, turbary. Peat bog takes bog earth and matures it in a farm like setup. Collects dirt blocks. Turbary removes the peat from mature bog earth, leaving a dirt block. Known issues: Peat bog uses arboretum gui. Bog earth is created via a place holder recipe. 
- Feature: Peat-fired engine. Requires peat. Produces a low power output comparable to a water powered biogas engine. Produces ash as residue that needs to be removed from the engine. If all waste slots are full, the engine will stop operating. Known issues: No further use for ash yet. If a players inventory slot is full, the engine's inventory slot will get filled as well.
- Changed: Rubber tree farm can and will now handle humus. Dirt is out of the picture. Known issues: Rubber tree saplings look like taiga forest saplings. Grown trees are identical to standard trees except for the fact that they consist of rubber wood and rubber tree leaves.  
- Changed: Block for humus/bog earth now meta sensitive.
- Bugfix: Humus degradation reenabled.
- Bugfix: Farm has now its own gui.

1.0.9.6
- Bugfix: Sapling input via RP tubes now from the top of arboretums, plantations and farms.
- Bugfix: Removed workaround for Additional Pipes for BuildCraft since the issue was fixed with Rev29 of that mod and the workaround was causing crashes when using Optifine.

1.0.9.5
- Changed: Implemented ISidedInventory for fermenter, still and bottler to enable compatibility with RP tubes.
- Changed: Switched to BuildCraft API 2.2.5.
- Bugfix: Fixed a SMP crash which was caused by TileEntities being registered under different identifiers on client and server. PREVIOUS SAVES ARE NOT COMPATIBLE!

1.0.9.4
- Changed: "Processor" became "Machine" and was moved into main package for future use. API changed, config setting changed. Legacy functions for backwards compatibility added to loading code.
- Changed: Config settings for grower and engine blocks now called correctly "grower" and "engine". 
- Changed: Implemented ISidedInventory for logger, combine, rubber tree harvester and pumpkin harvester to enable compatibility with RP tubes.
- Changed: Implemented ISidedInventory for arboretum, wheat farm, rubber tree plantation and pumpkin farm to enable compatibility with RP tubes.
- Bugfix: Planter checks for valid product at target block before planting saplings or seeds. (Will not replace base of trees with saplings.)
- Bugfix: Harvester checks whether the targeted block set by the previous work cycle is still a valid target for harvesting. No random crashes anymore if type of block changed between work cycles.

1.0.9.3
- Changed: Pumpkin addon now integrated into main mod and SMP enabled.
- Changed: Will again accept brass ingots as replacement for bronze ingots. Still requires that the mod registering brass ingots is loaded before the last call to Forestry during startup.
- Bugfix: Rubber tree plantation now uses different texture files from the arboretum.
- Bugfix: If bronze or brass or copper and tin ingots from other mods are discovered via the ore dictionary, Forestry will not only use those, but also allocate two block ids less.

1.0.9.2
- Changed: Rubber addon now integrated into main mod and SMP enabled. Will activate if IndustrialCraft 2 is present.
- Changed: Reduced size of update and description packets for most machines.
- Changed: Moved config directory on SMP server from forestry/ to config/forestry/ so as to not clutter the main directory.
- Bugfix: Reduced annoying developer version notices in ModLoader.txt.
- Bugfix: "Melange Bucket" now correctly called "Biomass Bucket".

1.0.9.1
- Added: Basic SMP.
- Fixed: Crashes on placement or opening of the gui for: arboretum, harvester, biogas engine, forester. 
- Changed: Improved Forester internals.
- Removed: Falling behaviour of humus since it caused crashes on SMP.

1.0.8.5
- Added: Charge indicators for fermenter and still. Left column indicates current stored energy in relation to activation energy for a work cycle. Right column energy throuput during the last tick in relation to minimum activation energy.
- Added: Still now fills empty buckets in its inventory slots with biofuel if enough of it is in its tank.
- Changed: Manure now has almost the same fermentation properties as fertilizer to make farms running solely on manure viable. Now burns only 20 % longer for the same fermentation value overall.
- Changed: Increased overall amount fermented by manure and fertilizer to reduce required input while keeping the fermentation speed.
- Changed: Removed legacy bio melange for worlds created by version 1.0.6 and below. If you still have bio melange around in BuildCraft pipes or tanks, get rid of it, otherwise you will experience crashes!
- Changed: Forester now a package for the generic machine "grower" to bring it in line with fermenters, stills, arboretums, farms, et al. and enable possibility of additional variants for rubber trees, pumpkins, etc.
- Changed: Remodeled engine tile to enable possibility of additional variants.
- Changed: Water consumption of fermenter now scales with amount of fermented per work cycle. 
- Bugfix: Biomass can now be taken out of BuildCraft tanks via bucket.
- Bugfix: Biofuel buckets don't stack anymore.
- Bugfix: Forester operating area now corresponds better with speed dictated by throttle.
- Bugfix: Fermenter, still and bottler (addon) now only use up energy, if they actually worked that cycle.
- Bugfix: Fermenter logic should be improved.

1.0.8.4
- Bugfix: Bottler plant now shows the correct render model in inventory.
- Bugfix: Cleaned up log messages in rubber addon.

1.0.8.3
- Addons: Feature: Added bottler plant to addon Rubbery. The bottler will use biofuel to create filled fuel cans for use in IndustrialCraft2, especially to power generators.
- Changed: Rubber Tree Plantation and Rubber Tree Harvester now have more appropriate recipes.
- Changed: To rebalance the biofuel system, the output of biofuel per bucket of biomass was halved. 
- Changed: Several API additions to make boiler/processor implementations viable. Also now exposes IDs of humus, sturdy machine, biomass and biofuel as well as buckets via APIBridge. 
- Changed: Biofuel bucket has now the correct color. (Sprite credits: V4sh)

1.0.8.2
- Compatibility: Ensured that trees in tree farms keep their growth rate even if base function is changed. (Should ensure compatibility with Nature Overhaul.)
- Addons: Bugfix for rubbery and pumpkins: Left-click does not cause a crash anymore.

1.0.8.1
- Added: Throttle for planters, harvesters and foresters to reduce cpu load. Also added appropriate configuration options. Defaults should fit most people.
- Changed: Reduced the operating cube of harvesters quite drastically to lighten cpu load. Might be a tight fit for tree farms if you chose an excentric position for your logger.
- Compatibility: Added code to preload textures used by AdditionalPipes for BuildCraft to prevent texture glitches.
- New Addon: Pumpkin farms and harvesters!
- Addons: Added switches to configure used meta value of addon machines in config. Only use in emergencies! Stay with the default values whenever possible! You really should not need these.

1.0.8
- Bugfix: Fixed bug that caused forester and processor not to work with current power configuration.
- Bugfix: Several fixes to API for new addon system.
- Bugfix: Now really preloads all textures through Minecraft Forge. Texture problem with Additional Pipes for BuildCraft remains however.
- Bugfix: Bonemeal is now getting used up when applied to saplings in an arboretum.

1.0.7.14:
- Changed: Gone are the drab liquids of old, now they sparkle like they should. Biomass remains green, milk white, biofuel is now colored orange to better differentiate it from BuildCraft's fuel.
- Bugfix: Biogas engine not overwriting milk with biomass anymore.
- Bugfix: Combine now drops seeds when cutting down wheat.
- Bugfix: Removed the lookup for brass ingots as an alternative for bronze as it wasn't working as expected.

1.0.7.13
- Changed: Doubled burn time of fertilizer and manure while halfing the amount fermented per cycle to slow down the fermenters. Running three fermenters off of one single farm and being able to fuel 11 biogas engines on their output without breaking a sweat seems a bit much.
- Changed: Possibly understood the way configuration of BuildCraft power providers works. Made the following adjustments:
- Changed: Forester will take up to six cycles to store enough energy for a single work cycle. Provide more energy to reduce this to up to three cycles.
- Changed: Logger, Combine can take up to two cycle to store enough energy. Enough energy provided reduces this to a single cycle.
- Changed: Fermenter, Still can take up to four cycles to store enough energy for a single work cycle. Supplying enough energy can reduce this to two.
- Changed: Arboretum, Farm will continue to run on single cycle/work cycle rythm.
- Bugfix: Combine now correctly stores collected seeds as seeds and not saplings.
- Bugfix: Corrected power consumption mechanism on arboretum, farm, logger, combine, fermenter, still and forester.
- Bugfix: Farm will now fill in water as it goes, preventing flooding and/or excessive dirt requirements due to fast dehydration of unwatered tilled fields.

1.0.7.12
- Changed: Reduced stored energy in all machines to more reasonable levels to avoid the "working spree" if supplied with resources after a longer idle time.
- Added: API to add additional planters, harvesters and processors from outside the mod.
- Bugfix: Fixed piping into fermenters. New code was writing fermentation material into the wrong stack.
- Bugfix: Fixed another problem with meta data from older tiles. (Crash on breaking the block in survival mode.)
- Bugfix: Fixed the names of arboretum, farm, logger, combine, fermenter and still. Again. Hopefully for the last time.
- Bugfix: Render models of still and fermenter now always rotated correctly depending on which direction they are facing.
- Bugfix: Added additional checks to ensure that even tile entities with strange meta data (from earlier versions) still get saved and reloaded without deleting chunks. They are however always converted to the base machine.
- Bugfix: Risugami's Recipe Book will not crash anymore when displaying Forestry recipes. This time for real. Hopefully at least.

1.0.7.10
- Changed: Doubled power consumption of all machines.
- Changed: Reduced power cycles for a bucket of biomass by a third.
- Changed: Fermenter resources/fuels/fermentation process changed. Instead of fermentation time and value each resource now only has a fixed total fermentation value. The duration of the fermentation process is now dictated by the fuel used which is good for a certain number of cycles and ferments a specified amount of resource per cycle. Allows more variety in the behaviour of fuels. Manure burns for 2.5 times the cycles of fertilizer but produces only 40 % of fermentation per cycle (takes longer to ferment but ferments the same amount).
- Changed: Fermenter now allows adding fuels and resources from any side. Sorts the items according to valid usage.
- Added: API to allow adding other fermentation resources and fuels and other bronze engine fuels from outside the mod. 
- Bugfix: Fermenter only converts invalid fuels in tank to bio mass on load.
- Bugfix: Machines were not showing up in inventories.

1.0.7.9
- Bugfix: Textures are now correctly preloaded through Forge.
- Bugfix: Memory leak related to custom renderer for inventory blocks fixed.
- Bugfix: Biogas engine would refuse all valid fuels and only accept invalid ones.

1.0.7.8
- Added: Config switches to force disabling generation of copper, tin or apatite ore.
- Changed: Tripled heat value per unit of lava in biogas engines. Amount required to heat up the engine greatly reduced, speed of startup increased.
- Bugfix: Default metadata value for inventory renderer.
- Bugfix: Ore dictionary now correctly recognizes IC2 copper and tin. Does not yet recognize brass ingots from RedPower since those are broadcast after the last call to Forestry's startup.
- Bugfix: Risugami's Recipe Book will not crash anymore when displaying Forestry recipes. Might not display all the correct icons however. 

1.0.7.7
- Added: Now uses the ore dictionary.

1.0.7.6
- Changed: Biogas engines now know a burn time per bucket of fuel provided. Allows greater variety of fuels.
- Added: Milk is now a viable fuel for the biogas engines. It can only be added to the fuel tank by bucket and is as inefficient as water. However even a single bucket of milk will keep the engine running for a very, very long time, even quite a while longer than liquid biomass. In addition milk will not increase heat dissipation and only need lava for startup similar to liquid biomass.
- Changed: Burn time lets a bucket of liquid biomass last very long. Reduced the output per sapling by about 2/3 to account for that. Probably still not even close.
- Changed: Greatly reduced efficiency of still. It will now output 1/2 bucket of biofuel for every bucket of liquid biomass. Increased distillation speed by 60 %. 

1.0.7.5
- Added: Still now has a gui. Shows distillation progress, tank levels. Liquid bio mass can be put by bucket into the still. As of yet no way to remove bio fuel with buckets.
- Bugfix: Machines now render with correct orientation and not a fixed one.
- Bugfix: Fermenter shows fermentation progress again.
- Bugfix: Fixed render model for arboretum and farm. (Mostly) fixed render model for fermenter and still. Assigned new textures to combine.
- Bugfix: Fixed crashbug when loading 1.0.7.4 or earlier worlds. (Planter/Boiler/Harvester was not saved.)

1.0.7.4
- Bugfix: Crashbug with 1.0.6 worlds fixed. 

1.0.7.3
- Feature: Combine added. Shares blockid and render model with logger. Is crafted from the same recipe but uses iron ingots instead of diamonds. Will harvest wheat in operating area after it reaches stage 5. Output still very low. 
- Changed: Arboretum, Logger and Fermenter were restructured internally and can now be used to host other machines. Internally now Planter, Harvester and Processor.

1.0.7.2
- Feature: Farm added. Shares blockid and render model with arboretum. Is crafted from the same recipe but uses bronze ingots instead of gold ingots. Will create a farm of tilled blocks in a 15x15 square around it (leaving the inner 7x7 free) and also place water blocks. Currently requires plain dirt for work and seeds from base minecraft.
- Changed: Added liquid bio mass (item) which replaces the old bio melange (block). Bio melange remains in the game for now to prevent startup crashes for 1.0.6 maps. Fermenter and bio engine convert the contents of their tanks to liquid bio mass. Bio melange in Buildcraft pipes and tanks however has no use anymore and needs to be disposed of. It will not be accepted by any machine from forestry anymore.

1.0.7.1
- Feature: Added the still as a new machine. Shares blockid and render model with the fermenter. Needs to be powered itself. It can be used to convert the liquid biomass from a fermenter to biofuel with minimal loss. Bio fuel is suitable for combustion engines from BuildCraft. Does not have a gui but shows tank contents on the rendered block. Recipe is unavailable, if BuildCraft Energy is not installed.  Now requires BuildCraft API 2.2.3 to work.
- Changed: Fiddled with energy requirements of still and forester.
- Changed: Time between work cycles of all machines now dictated by latency of their (BuildCraft-) power provider. Should make balancing easier.
- Changed: Started work on a new render model for the arboretum.
- Changed: Started to work on implementing Forge's ore dictionary. Bumps the required forge version to 1.1.2!

1.0.6
- Changed: Fermenter received a new texture and render model.
- Changed: Reduced catalyst yield from a single bone to the same amount as bonemeal. Recipe cost reduced by three empty vials.
- Changed: Changed recipe for empty vials to (hopefully) prevent recipe conflicts with other mods.
- Bugfix: Forester received its own texture.
- Bugfix: Forester remembers its inventory contents after reload.

1.0.5
- Feature: Following popular demand, ACME Inc., Forestry Division has released a new machine that enables people to get rid of their surplus skeleton bones. Rumor has it that it can be crafted like a logger but needs a finished arboretum instead of a plain sturdy machine. Place it into the vicinity of a bunch of saplings and supply it with catalyst and you will have grown trees instantly.
- New Item: The forester uses a catalyst to accelerate tree growth. The recipe released to potion tinkerers everywhere consists of six empty vials (three on each side), one bone in the middle and two fertilizers above and below. It creates six catalysts.
- New Item: Combine two blocks of glass (one above the other) to create eight empty vials. (Please report possible recipe conflicts with other mods!)
- Changed: Fermenter should now accept manure as fuel source.
- Changed: Wooden pipes extract saplings from top or bottom of a logger, wooden blocks from the sides.
- Changed: Converted sturdy machine crafting component from block to item to free up a block id. IF YOU HAVE A STOCK OF STURDY MACHINES, USE THEM BEFORE UPGRADING! They will vanish with the upgrade.
- Bugfix: Biogas engine now tries to rotate to next powerable tile on placement.
- Bugfix: Logger does not accept input from pipes anymore.
- Bugfix: Bonemeal now grows saplings planted by the arboretum.
- Bugfix: Repaired the render model for the biogas engine. No more Z-Buffer fights. Actually stays within its bounds now.

1.0.4
- Feature: When replacing a block of soil that degraded from humus to sand, the arboretum now tries to store the sand in its inventory. Only if the inventory for sand is exhausted will it silently discard the block. Sand can be extracted using wooden pipes.
- Feature: Arboretum has a larger inventory that is partitioned into three sections for humus, saplings and (collected) sand. It will refuse to accept other items than humus and saplings from pipes. Only sand will be extracted by wooden pipes. Placement of the pipes is irrelevant. After the slots for humus or saplings are filled, the arboretum will refuse the oversupplied item, even if there are still slots for other items. If the store for sand is used up, further sand blocks will be silently disposed of.
- Balancing: Increased amount of fuel that can be refined from a single sapling by another 20 %.
- Changed: Arboretum now also plants saplings into the corner of the farm.
- Bugfix: Logger now does not try to dump its stash into adjacent engines.
- Bugfix: Arboretum does not continue to plant saplings on thin air and/or sand blocks after it has run out of humus.
- Bugfix: Added humus to list of blocks ignored while clearing the farm area.

1.0.3
- Changed: Removed the need for patching the Minecraft base classes! The patch "Fertile Blocks" is obsolete and does not need to be installed anymore! Forestry should now be compatible with any Forge mods.
- Changed: Increased hardness for biogas engine.
- Changed: Experimental SMP support for internal testing reenabled. GUIs of arboretum, fermenter, biogas engine will not update. They work, but don't display fuel levels, etc.
- Bugfix: Increased heat loss when engine is overheating. Introduced maximum heat. Otherwise engine would continue to heat up indefinetly.

1.0.2
- Feature: Added properties for blockids of BuildCraft engines and pipes. Arboretum now ignores the following blocks when clearing the working area: Logger, biogas engine, fermenter, redstone torches, bricks, BuildCraft pipes and engines. Spared blocks will however still be destroyed if they are afterwards in the area that is covered by humus.
- Feature: Added alternative logger recipe using industrial diamonds from IndustrialCraft 2.
- Changed: Forestry's wrench now always works, even if IndustrialCraft and BuildCraft are present.

1.0.1
- Bugfix: Arboretum does not replant sapling as long as block is occupied by a wooden block.
- Shift-click bug fixed.

1.0.0
- Bumped version to 1.0.0 because strange forum rules are strange.

0.8.0
- General balancing.
- Quadrupled yield value of saplings in the fermenter while doubling their fermentation time.
- BuildCraft wrench is now prefered over IndustrialCraft 2 wrench for consistency.

0.7.0
- Bugfixes, bugfixes, bugfixes.
- Added missing item sprites, cleaned up code.
- Added missing item tags.
- Biogas engines now accept bio melange as well as water as fuel. Water will have around 20 % of the fuel value of bio melange. Even more importantly it will dissipate engine heat twice as fast as bio melange. A bio engine with water as fuel will never become self sustaining and will constantly need to be supplied with lava for heating. Forestry's production chain can be jumpstarted this way without using BuildCraft.

0.6.0
- Fermenter now implements ISpecialInventory. Saplings are to be piped in from the top, fertilizer from the bottom of the machine. Sides are reserved for waterproof pipes.
- Empty buckets placed in a fermenter will be filled with bio melange if enough is available. Melange can be put in engines with buckets.
- Bio melange now has appropriate texture.

0.5.0
- Major overhaul.
- Removed item bio melange and replaced it with a liquid with the same purpose and name.
- Converted biogas engine to use liquid. Biogas engines need to be warmed up before they produce energy. Heat is produced when more than 25 % of maximum energy capacity is stored. If the minimum heat level required for energy production is not (yet) reached, lava can be poured into the second fuel tank and is used to heat up the engine.
- Added fermenter for production of bio melange liquid. Requires saplings, (mineral) fertilizer and water to produce the melange.
- Lava and water can be added to the secondary fuel tanks of biogas engine and fermenter by dropping buckets into the slot on the right hand side.
- SMP version non-functional because of changes.
- Changed recipes for biogas engine. Now requires bronze gears. These are either crafted from a stone gear and four bronze ingots (if BuildCraft is present) or just four ingots (if no BuildCraft is present).
- Added a wrench for rotation of engines. Will be replaced with the wrench for IndustrialCraft 2 or BuildCraft (in that order) if present.

0.4.0
- SMP version (experimental)
- Arboretum now correctly ignores other blocks from this mod when clearing an area.
- Changed recipes for all machines. Now require bronze to craft. Bronze is created from 3 parts copper and 1 part tin.
- Added copper and tin ore to world creation. Are only created if IndustrialCraft 2 is not installed.
- Will use bronze ingots from IndustrialCraft 2 if installed. Own copper, tin and bronze ingots will then not be createable.
- Machines now need to be powered.
- Added power framework and biogas engine for use with arboretum and logger. Compatible with BuildCraft api. Uses saplings or bio melange as fuel.
- Added bio melange as specialized fuel for biogas engine.
- Reduced humus degradation.
- Humus is not destroyed anymore if an entity walks onto it.

0.3.5
- Arboretum now drops blocks that were destroyed in the area it clears. Also drops items that were contained in these blocks. For some reason this does not work on BuildCraft pipes.
- Items and blocks should have their tooltips back.
- Fixed missing texture preload for Minecraft Forge.


0.3.4
- Initial release